Bug 500568 - kernel-xen should *not* include pci-stub driver
kernel-xen should *not* include pci-stub driver
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
All Linux
low Severity medium
: beta
: ---
Assigned To: Don Dutile
Red Hat Kernel QE team
Depends On:
  Show dependency treegraph
Reported: 2009-05-13 06:33 EDT by Daniel Berrange
Modified: 2009-09-02 04:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-02 04:56:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Remove pci-stub driver from -xen kernels (1.30 KB, text/plain)
2009-05-15 11:56 EDT, Don Dutile
no flags Details

  None (edit)
Description Daniel Berrange 2009-05-13 06:33:52 EDT
Description of problem:
The latest kernel-xen has the newly backported pci-stub driver built-in to the kernel by default. 

This causes a problem in handling of PCI passthrough to guest VMs, because libvirt sees that pci-stub is present and uses that.  XenD in RHEL-5, however, *requires* that pciback is used and cannot work with pci-stub. It is not even possible to workaround this by blacklisting the pci-stub because it was compiled into the kernel, not built as a module.

We need to turn off pci-stub for kernel-xen builds, and only have it in bare-metal builds for use with KVM

Version-Release number of selected component (if applicable):
Linux rhel5xen 2.6.18-146.el5xen #1 SMP Mon May 11 19:08:09 EDT 2009 i686 athlon i386 GNU/Linux

How reproducible:

Steps to Reproduce:
1. Boot kernel-xen
2. ls /sys/bus/pci/drivers
Actual results:
pci-stub is present

Expected results:
pci-stub is not present, and also not built as a module

Additional info:
Comment 2 Don Dutile 2009-05-15 11:56:35 EDT
Created attachment 344191 [details]
Remove pci-stub driver from -xen kernels
Comment 3 Don Zickus 2009-05-19 15:46:51 EDT
in kernel-2.6.18-149.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 7 errata-xmlrpc 2009-09-02 04:56:01 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.